> For the complete documentation index, see [llms.txt](https://docs.easy.gg/scripting/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.easy.gg/scripting/bedwars-scripting/events/blockplace.md).

# BlockPlace

```lua
-- Fortify all blocks placed by players to Stone Brick
Events.BlockPlace(function(event)
    -- Only fortify player blocks
    if (not event.player) then
        return
    end
    -- Only replace wool blocks
    if not string.includes(event.blockType, "wool") then
        return
    end
    
    
    BlockService.placeBlock(ItemType.STONE_BRICK, event.position)
    SoundService.playSound(Sound.FORTIFY_BLOCK, event.position)
    event.cancelled = true
end)
```

### Parameters

#### player: [Player](/scripting/bedwars-scripting/objects/player.md) | nil

Player placing the block (if placed by a player).

#### position: [Vector3](https://create.roblox.com/docs/reference/engine/datatypes/Vector3)

Position in the world the block is being placed at.

#### blockType: [ItemType](/scripting/bedwars-scripting/types/itemtype.md)

The type of the block being placed

#### cancelled: bool <mark style="color:yellow;">\[modifiable]</mark>

If set to true, the block place will be denied.


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.easy.gg/scripting/bedwars-scripting/events/blockplace.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
